#ifndef __UART_H
#define __UART_H 
#include "stm32f10x.h"

void Serial_Init(void);
void USER_USART1(void);
void USER_USART2(void);
void USER_USART3(void);
void Usart_SendString(USART_TypeDef *USARTx, unsigned char *str, unsigned short len);
void UsartPrintf(USART_TypeDef *USARTx, char *fmt,...);
void Usart3_Init(unsigned int baud);
void Usart1_Init(unsigned int baud);
unsigned char SendCmd(char *res);
unsigned char SendCmd2(char *res);
unsigned char SendCmd3(char *res);

#endif
